package org.signwriting;

import java.util.Vector;

public class SignImageCache {

    private static Vector entries = new Vector();

    private static int maxEntries = 1000;
static int cnt = 1;
    public static synchronized void addEntry(SignImageEntry entry) {
        entries.addElement(entry);
        if (entries.size() > maxEntries) {
            removeEntry(0);
        }
    }
    
    private static void removeEntry(int index) {
        SignImageEntry entry = (SignImageEntry)entries.elementAt(0);
        entries.removeElementAt(index);
        entry.getSign().removeImageEntry(entry);
    }

    static synchronized void removeEntry(SignImageEntry entry) {
        int size = entries.size();
        for (int i = 0; i < size; i++) {
            if (entries.elementAt(i) == entry) {
                entries.removeElementAt(i);
                entry.getSign().removeImageEntry(entry);
                return;
            }
        }
    }

    public static int getMaxEntries() {
        return maxEntries;
    }

    public static void setMaxEntries(int maxEntries) {
        SignImageCache.maxEntries = maxEntries;
        while (entries.size() > maxEntries) {
            removeEntry(0);
        }
    }
}
